
<?php
session_start();

 $usu=$_SESSION['username'];
 

$tipo_usu=$_SESSION['tipo_usu'];


include ("../conexion.php");


 $numcie=strtoupper ($_POST["numcie"]);
 $codusu=strtoupper($_POST["codusu"]);

       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
	   $tipcamdol =  $row_para["tipcamdol"];
	   $reb_imp_ser =  $row_para["reb_imp_ser"];
	   $tipmoneda   =  $row_para["tipmoneda"];
	   
//$tipbus=$_POST["tipbus"];

$consulta = "SELECT * FROM cierres WHERE numcie='$numcie'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

		$monsis = $fila["monsis"];
		$mondig = $fila["mondig"];
		$monefe = $fila["monefe"];
		$monsin = $fila["monsin"];
		$monvou = $fila["monvou"];
		$mondol = $fila["mondol"];
		$monval = $fila["monval"];
		$monotr = $fila["monotr"];
		$mondif = $fila["mondif"];
		$totfac = $fila["totfac"];
		$totrec = $fila["totrec"];
		$totnotdeb = $fila["totnotdeb"];
		$totnotcre = $fila["totnotcre"];
		$totval = $fila["totval"];
		$totcom = $fila["totcom"];
		$totent = $fila["totent"];
		$totsal = $fila["totsal"];
		$totade = $fila["totade"];
		$total_impser = $fila["totimpser"];
		$cincuentamil = $fila["cincuentamil"];
		$veintemil    = $fila["veintemil"];
		$diezmil      = $fila["diezmil"];
		$cincomil     = $fila["cincomil"];
		$dosmil       = $fila["dosmil"];
		$mil          = $fila["mil"];
		$quinientos   = $fila["quinientos"];
		$cien         = $fila["cien"];
		$cincuenta    = $fila["cincuenta"];
		$veinticinco  = $fila["veinticinco"];
		$diez         = $fila["diez"];
		$cinco        = $fila["cinco"];
		$tipcamdol    = $fila["tipcamdol"];
		$candol       = $fila["candol"];
		$monapecaj    = $fila["monapecaj"];
		$fecinicio    = $fila["feccie"];
		$fecfin       = $fila["fecfin"];
		$horcie       = $fila["horcie"];
	    $horape       = $fila["horape"];
	  


$cadena_busqueda=$_POST["cadena_busqueda"];
$estrec="1";
$borrado="0";
$tipapli="1";
$cdgtipven="1";
$val="VAL";
$com="COM";
$sal="SAL";
$ent="ENT";
$rec="REC";
	
$dolares = "USD";
$colones = "CRC";

	$total_Facturas_col = 0;
	$total_Facturas_dol = 0;
	$total_facturas_cal = 0;
	$total_facturas_pro = 0;

if ( $codusu == "9999" ) {

	$cajero         = "SELECCIONE CAJERO";
	$total_impser   = 0;
	$total_Facturas = 0;
	$total_Recibos  = 0;
	$total_Notas    = 0;
	$total_vales    = 0;
	$total_compras  = 0;
	$total_entradas = 0;
	$total_salidas  = 0;
	$total          = 0;
	$total_NotasCre = 0;
	$total_NotasDeb = 0;
	$total_adelanto = 0;
	
		$consulta = "SELECT nomcomusu FROM usuarios ";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$cajero= $row["nomcomusu"];
		
	
//////////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CREDITO EN COLONES //////////////////////////////////////////////////////////////////

 $sel_credito="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalcre  FROM facturas WHERE 
fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
 AND borrado = '$borrado' 
 AND cdgtipven = 2 " ;
 $resultado = $mysqli->query($sel_credito);
 $row = $resultado->fetch_array();
 $total_Credito = $row["totalcre"];



/////////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CONTADO EN COLONES //////////////////////////////////////////////////////////////////

 $sel_facturas="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
  tipmoneda = '$colones' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado = $mysqli->query($sel_facturas);
 
  $row_fac_col = $resultado->fetch_array();
  
  
 //////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CONTADO EN DOLARES //////////////////////////////////////////////////////////////////
 
 
if  ( $tipmoneda == "CRC" ) {

   $sel_facturas_dol="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) * tipcamdol AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
   tipmoneda = '$dolares' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado_dol = $mysqli->query($sel_facturas_dol);
 
  $row_fac_dol = $resultado_dol->fetch_array();
 
   } else {
   
  $sel_facturas_dol="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura)  AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
   tipmoneda = '$dolares' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado_dol = $mysqli->query($sel_facturas_dol);
 
  $row_fac_dol = $resultado_dol->fetch_array();
   
   }
 

  
  //////////////////////////////////////////////////////////// SELECIONA RECIBOS DE CONTADO EN COLONES //////////////////////////////////////////////////////////////////
 
$sel_Recibo="SELECT numrec, fecrec, cdgcli, estrec, cdgcaj, Sum(montot) AS totalRec FROM pagos_clientes WHERE  
   fecrec >= '$fecinicio' AND  fecrec <=  '$fecfin' 
   AND tipmov = 'RP' AND
 estrec = '$estrec'  ";
 $resultado = $mysqli->query($sel_Recibo);
 $row_rec= $resultado->fetch_array();


  //////////////////////////////////////////////////////////// SELECIONA NOTAS DE CREDITO  EN COLONES //////////////////////////////////////////////////////////////////


$sel_notascre="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) AS totalNotasCre FROM facturas_notas WHERE 
  tipmoneda = '$colones' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado = $mysqli->query($sel_notascre);
 $row_notcre_col= $resultado->fetch_array();
 
 
   //////////////////////////////////////////////////////////// SELECIONA NOTAS DE CREDITO  EN DOLARES //////////////////////////////////////////////////////////////////
   
  if  ( $tipmoneda == "CRC" ) {
  
     $sel_notascre_dol="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) * tipcamdol  AS totalNotasCre  FROM facturas_notas WHERE 
 tipmoneda = '$dolares' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado_dol = $mysqli->query($sel_notascre_dol);
 $row_notcre_dol= $resultado_dol->fetch_array();
 
  
    } else {
	
   $sel_notascre_dol="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota)  AS totalNotasCre  FROM facturas_notas WHERE 
 tipmoneda = '$dolares' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado_dol = $mysqli->query($sel_notascre_dol);
 $row_notcre_dol= $resultado_dol->fetch_array();
 
	
	
	 } 

 
 
  //////////////////////////////////////////////////////////// SELECIONA NOTAS DE DEBITO EN COLONES  //////////////////////////////////////////////////////////////////
   
 
 $sel_notasdeb="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) AS totalNotasDeb FROM facturas_notas_debito WHERE 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'    ";
 $resultado = $mysqli->query($sel_notasdeb);
 $row_notdeb= $resultado->fetch_array();
 
 
 
   //////////////////////////////////////////////////////////// SELECIONA MOVIMIENTOS DE CAJA   //////////////////////////////////////////////////////////////////
 
 
$sel_vales="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalvales FROM movimientos_caja WHERE 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$val'    ";
 $resultado = $mysqli->query($sel_vales);
 $row_val= $resultado->fetch_array();
 

$sel_compras="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalcompras FROM movimientos_caja WHERE 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$com'  ";
 $resultado = $mysqli->query($sel_compras);
 $row_com= $resultado->fetch_array();
 
$sel_entradas="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalentradas FROM movimientos_caja WHERE 
  fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$ent'  ";
 $resultado = $mysqli->query($sel_entradas);
 $row_ent= $resultado->fetch_array();

$sel_salidas="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalsalidas FROM movimientos_caja WHERE 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
 AND tipmov = '$sal'  ";
 $resultado = $mysqli->query($sel_salidas);
 $row_sal= $resultado->fetch_array();
 
 $sel_adelanto="SELECT codmov, fecha, cdgcaj, Sum(total) AS totaladelanto FROM movimientos_caja WHERE 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipmov = '$rec'  ";
 $resultado = $mysqli->query($sel_adelanto);
 $row_ade= $resultado->fetch_array();

 //////////////////////////////////////////////////////////////    REBAJA CALCULADORA //////////////////////////////////////////////////////


//    $sel_calculador="SELECT codfactura, fecha, cdgcli, cdgcaj, estado,  Sum(totalfactura) AS totalcal FROM calculador WHERE 
// fecha >= '$fecinicio' AND  fecha <=  '$fecfin'  AND
// borrado = '$borrado' ";
// $resultado_cal = $mysqli->query($sel_calculador);
// $row_cal = $resultado_cal->fetch_array();
 
 
  //////////////////////////////////////////////////////////////    REBAJA PROFORMAS //////////////////////////////////////////////////////
  
 
//     $sel_proformas="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalpro, Sum(impser) AS impser FROM proformas WHERE 
// fecha >= '$fecinicio' AND  fecha <=  '$fecfin'  AND
// borrado = '$borrado' AND cdgtipven = '$cdgtipven'";
// $resultado_pro = $mysqli->query($sel_proformas);
// $row_pro = $resultado_pro->fetch_array();
 
 
 ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 

	$total_impser   = $row_fac_col["impser"];
	$total_Facturas_col = $row_fac_col["totalfac"];
	$total_Facturas_dol = $row_fac_dol["totalfac"];
//	$total_facturas_cal = $row_cal["totalcal"];
//	$total_facturas_pro = $row_pro["totalpro"];
	$total_Facturas = $total_Facturas_dol +  $total_Facturas_col  +  $total_facturas_cal + $total_facturas_pro ;
	$total_Recibos  = $row_rec["totalRec"];
	$total_NotasCre_col = $row_notcre_col["totalNotasCre"];
	$total_NotasCre_dol = $row_notcre_dol["totalNotasCre"];
	$total_NotasCre = $total_NotasCre_col + $total_NotasCre_dol ;	
	$total_NotasDeb = $row_notdeb["totalNotasDeb"];
	$total_vales    = $row_val["totalvales"];
	$total_compras  = $row_com["totalcompras"];
	$total_entradas = $row_ent["totalentradas"];
	$total_salidas  = $row_sal["totalsalidas"];
	$total_adelanto = $row_ade["totaladelanto"];
	
	
	
	
	/***************REBAJO EL IMPUESTO DE SERVICIO************************************/
		if ($reb_imp_ser==1){
		
			$total=$total_Facturas + $total_Recibos-$total_NotasCre+$total_NotasDeb-$total_vales-$total_compras-$total_salidas+$total_entradas+$total_adelanto-$total_impser;
		}
		
		else {
			$total=$total_Facturas + $total_Recibos-$total_NotasCre+$total_NotasDeb-$total_vales-$total_compras-$total_salidas+$total_entradas+$total_adelanto;
		}

/*****************SUMA MEDIOS DE PAGO FACTURAS****************************/


	$medio_pago = "SELECT  IF (SUM(efectivo)  IS NULL, 0.00, SUM(efectivo))  AS efectivo_fac,
	IF (SUM(simpes)  IS NULL, 0.00, SUM(simpes))  AS simpes_fac,
	IF (SUM(depositos)  IS NULL, 0.00, SUM(depositos))  AS depositos_fac,
	IF (SUM(dolares)  IS NULL, 0.00, SUM(dolares))  AS dolares_fac,
	IF (SUM(tarjetas)  IS NULL, 0.00, SUM(tarjetas))  AS tarjetas_fac
	  FROM facturas WHERE  
	 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
	  AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";

	$resultado_med_pago = $mysqli->query($medio_pago);
	$row_med_pago = $resultado_med_pago->fetch_array();
 
 
    // suma recibos y resta notas de credito
	//$efectivo = ($row_med_pago["efectivo"] + $total_Recibos) -  $total_NotasCre;
	$simpes_fac = $row_med_pago["simpes_fac"];
	$depositos_fac = $row_med_pago["depositos_fac"];
	//$dolares = $row_med_pago["dolares"]; 
	$tarjetas_fac = $row_med_pago["tarjetas_fac"]; 
	
	
/************************************************/


/*****************SUMA MEDIOS DE PAGO RECIBOS ****************************/


	$medio_pago_rec = "SELECT  IF (SUM(efectivo)  IS NULL, 0.00, SUM(efectivo))  AS efectivo_pag,
	IF (SUM(simpes)  IS NULL, 0.00, SUM(simpes))  AS simpes_pag,
	IF (SUM(depositos)  IS NULL, 0.00, SUM(depositos))  AS depositos_pag,
	IF (SUM(tarjetas)  IS NULL, 0.00, SUM(tarjetas))  AS tarjetas_pag
	  FROM pagos_clientes WHERE  
	 fecrec >= '$fecinicio' AND  fecrec <=  '$fecfin' 
	 AND tipmov = 'RP' AND estrec = '$estrec'  ";

	$resultado_med_pago_rec = $mysqli->query($medio_pago_rec);
	$row_med_pago_rec = $resultado_med_pago_rec->fetch_array();
 

	$simpes_pag = $row_med_pago_rec["simpes_pag"];
	$depositos_pag = $row_med_pago_rec["depositos_pag"];
	$tarjetas_pag = $row_med_pago_rec["tarjetas_pag"]; 
	
	
	$simpes   = $simpes_pag   + $simpes_fac;
	$depositos = $depositos_pag + $depositos_fac;
	$tarjetas  = $tarjetas_pag  + $tarjetas_fac;
	
	
	
/************************************************/
} else {

		
		$consulta = "SELECT nomcomusu FROM usuarios WHERE codusu='$codusu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$filas_cajero = $resultado->num_rows;
		
			       if ($filas_cajero > 0) { 
$cajero= $row["nomcomusu"]; }else { $cajero= "SIN SELECIONAR"; }

/////////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CREDITO EN COLONES //////////////////////////////////////////////////////////////////

 $sel_credito="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalcre  FROM facturas WHERE 
 cdgcaj = '$codusu' AND
fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
 AND borrado = '$borrado' 
 AND cdgtipven = 2 " ;
 $resultado = $mysqli->query($sel_credito);
 $row = $resultado->fetch_array();
 $total_Credito = $row["totalcre"];



/////////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CONTADO EN COLONES //////////////////////////////////////////////////////////////////

 $sel_facturas="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
  tipmoneda = '$colones' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado = $mysqli->query($sel_facturas);
 
  $row_fac_col = $resultado->fetch_array();
  
  
 //////////////////////////////////////////////////////////    SELECIONA FACTURAS DE CONTADO EN DOLARES //////////////////////////////////////////////////////////////////
 
 if  ( $tipmoneda == "CRC" ) {
  
   $sel_facturas_dol="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) * tipcamdol AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
 tipmoneda = '$dolares' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado_dol = $mysqli->query($sel_facturas_dol);
 
  $row_fac_dol = $resultado_dol->fetch_array();
 
 
    } else {
	
   $sel_facturas_dol="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura)  AS totalfac, Sum(impser) AS impser  FROM facturas WHERE 
 tipmoneda = '$dolares' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";
 $resultado_dol = $mysqli->query($sel_facturas_dol);
 
  $row_fac_dol = $resultado_dol->fetch_array();
  

  }  	
  
  //////////////////////////////////////////////////////////// SELECIONA RECIBOS DE CONTADO EN COLONES //////////////////////////////////////////////////////////////////
 
$sel_Recibo="SELECT numrec, fecrec, cdgcli, estrec, cdgcaj, Sum(montot) AS totalRec FROM pagos_clientes WHERE 
 cdgcaj = '$codusu' AND 
   fecrec >= '$fecinicio' AND  fecrec <=  '$fecfin' 
   AND tipmov = 'RP' AND
 estrec = '$estrec'  ";
 $resultado = $mysqli->query($sel_Recibo);
 $row_rec= $resultado->fetch_array();


  //////////////////////////////////////////////////////////// SELECIONA NOTAS DE CREDITO  EN COLONES //////////////////////////////////////////////////////////////////


$sel_notascre="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) AS totalNotasCre FROM facturas_notas WHERE 
  tipmoneda = '$colones' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado = $mysqli->query($sel_notascre);
 $row_notcre_col= $resultado->fetch_array();
 
 
   //////////////////////////////////////////////////////////// SELECIONA NOTAS DE CREDITO  EN DOLARES //////////////////////////////////////////////////////////////////
   
   
   if  ( $tipmoneda == "CRC" ) {
   
   
   $sel_notascre_dol="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) * tipcamdol  AS totalNotasCre  FROM facturas_notas WHERE 
 tipmoneda = '$dolares' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado_dol = $mysqli->query($sel_notascre_dol);
 $row_notcre_dol= $resultado_dol->fetch_array();
 
 
  } else {
  
     $sel_notascre_dol="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota)   AS totalNotasCre  FROM facturas_notas WHERE 
 tipmoneda = '$dolares' AND
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'  ";
 $resultado_dol = $mysqli->query($sel_notascre_dol);
 $row_notcre_dol= $resultado_dol->fetch_array();
 
  
    }  
 
  //////////////////////////////////////////////////////////// SELECIONA NOTAS DE DEBITO EN COLONES  //////////////////////////////////////////////////////////////////
   
 
 $sel_notasdeb="SELECT codnota, fecha, cdgcli, borrado, cdgcaj, Sum(totalnota) AS totalNotasDeb FROM facturas_notas_debito WHERE 
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipapli = '$tipapli' AND 	
 borrado = '$borrado'    ";
 $resultado = $mysqli->query($sel_notasdeb);
 $row_notdeb= $resultado->fetch_array();
 
 
 
   //////////////////////////////////////////////////////////// SELECIONA MOVIMIENTOS DE CAJA   //////////////////////////////////////////////////////////////////
 
 
$sel_vales="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalvales FROM movimientos_caja WHERE 
 cdgcaj = '$codusu' AND 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$val'    ";
 $resultado = $mysqli->query($sel_vales);
 $row_val= $resultado->fetch_array();
 

$sel_compras="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalcompras FROM movimientos_caja WHERE 
 cdgcaj = '$codusu' AND 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$com'  ";
 $resultado = $mysqli->query($sel_compras);
 $row_com= $resultado->fetch_array();
 
$sel_entradas="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalentradas FROM movimientos_caja WHERE 
 cdgcaj = '$codusu' AND
  fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
  AND tipmov = '$ent'  ";
 $resultado = $mysqli->query($sel_entradas);
 $row_ent= $resultado->fetch_array();

$sel_salidas="SELECT codmov, fecha, cdgcaj, Sum(total) AS totalsalidas FROM movimientos_caja WHERE 
 cdgcaj = '$codusu' AND 
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
 AND tipmov = '$sal'  ";
 $resultado = $mysqli->query($sel_salidas);
 $row_sal= $resultado->fetch_array();
 
 $sel_adelanto="SELECT codmov, fecha, cdgcaj, Sum(total) AS totaladelanto FROM movimientos_caja WHERE 
 cdgcaj = '$codusu' AND
 fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
   AND tipmov = '$rec'  ";
 $resultado = $mysqli->query($sel_adelanto);
 $row_ade= $resultado->fetch_array();


 //////////////////////////////////////////////////////////////    REBAJA CALCULADORA //////////////////////////////////////////////////////


//    $sel_calculador="SELECT codfactura, fecha, cdgcli, cdgcaj, estado,  Sum(totalfactura) AS totalcal FROM calculador WHERE 
// cdgcaj = '$codusu' AND
// fecha >= '$fecinicio' AND  fecha <=  '$fecfin'  AND
// borrado = '$borrado' ";
// $resultado_cal = $mysqli->query($sel_calculador);
// $row_cal = $resultado_cal->fetch_array();
// 
 
 
  //////////////////////////////////////////////////////////////    REBAJA PROFORMAS //////////////////////////////////////////////////////
  
 
//     $sel_proformas="SELECT codfactura, fecha, cdgcli, cdgcaj, estado, cdgtipven, Sum(totalfactura) AS totalpro, Sum(impser) AS impser FROM proformas WHERE 
// cdgcaj = '$codusu' AND
// fecha >= '$fecinicio' AND  fecha <=  '$fecfin'  AND
// borrado = '$borrado' AND cdgtipven = '$cdgtipven'";
// $resultado_pro = $mysqli->query($sel_proformas);
// $row_pro = $resultado_pro->fetch_array();
// 
 
 ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 

	$total_impser   = $row_fac_col["impser"];
	$total_Facturas_col = $row_fac_col["totalfac"];
	$total_Facturas_dol = $row_fac_dol["totalfac"];
//	$total_facturas_cal = $row_cal["totalcal"];
//	$total_facturas_pro = $row_pro["totalpro"];
	$total_Facturas = $total_Facturas_dol +  $total_Facturas_col  +  $total_facturas_cal + $total_facturas_pro ;
	$total_Recibos  = $row_rec["totalRec"];
	$total_NotasCre_col = $row_notcre_col["totalNotasCre"];
	$total_NotasCre_dol = $row_notcre_dol["totalNotasCre"];
	$total_NotasCre = $total_NotasCre_col + $total_NotasCre_dol ;	
	$total_NotasDeb = $row_notdeb["totalNotasDeb"];
	$total_vales    = $row_val["totalvales"];
	$total_compras  = $row_com["totalcompras"];
	$total_entradas = $row_ent["totalentradas"];
	$total_salidas  = $row_sal["totalsalidas"];
	$total_adelanto = $row_ade["totaladelanto"];
	
	
	
	/***************REBAJO EL IMPUESTO DE SERVICIO************************************/
		if ($reb_imp_ser==1){
		
			$total=$total_Facturas + $total_Recibos-$total_NotasCre+$total_NotasDeb-$total_vales-$total_compras-$total_salidas+$total_entradas+$total_adelanto-$total_impser;
		}
		
		else {
			$total=$total_Facturas + $total_Recibos-$total_NotasCre+$total_NotasDeb-$total_vales-$total_compras-$total_salidas+$total_entradas+$total_adelanto;
		}

/*****************SUMA MEDIOS DE PAGO FACTURAS****************************/


	$medio_pago = "SELECT  IF (SUM(efectivo)  IS NULL, 0.00, SUM(efectivo))  AS efectivo_fac,
	IF (SUM(simpes)  IS NULL, 0.00, SUM(simpes))  AS simpes_fac,
	IF (SUM(depositos)  IS NULL, 0.00, SUM(depositos))  AS depositos_fac,
	IF (SUM(dolares)  IS NULL, 0.00, SUM(dolares))  AS dolares_fac,
	IF (SUM(tarjetas)  IS NULL, 0.00, SUM(tarjetas))  AS tarjetas_fac
	  FROM facturas WHERE  
	  cdgcaj = '$codusu' AND
	  fecha >= '$fecinicio' AND  fecha <=  '$fecfin' 
	  AND  borrado = '$borrado' AND cdgtipven = '$cdgtipven'   ";

	$resultado_med_pago = $mysqli->query($medio_pago);
	$row_med_pago = $resultado_med_pago->fetch_array();
 
 
    // suma recibos y resta notas de credito
	//$efectivo = ($row_med_pago["efectivo"] + $total_Recibos) -  $total_NotasCre;
	$simpes_fac = $row_med_pago["simpes_fac"];
	$depositos_fac = $row_med_pago["depositos_fac"];
	//$dolares = $row_med_pago["dolares"]; 
	$tarjetas_fac = $row_med_pago["tarjetas_fac"]; 
	
	
/************************************************/


/*****************SUMA MEDIOS DE PAGO RECIBOS ****************************/


	$medio_pago_rec = "SELECT  IF (SUM(efectivo)  IS NULL, 0.00, SUM(efectivo))  AS efectivo_pag,
	IF (SUM(simpes)  IS NULL, 0.00, SUM(simpes))  AS simpes_pag,
	IF (SUM(depositos)  IS NULL, 0.00, SUM(depositos))  AS depositos_pag,
	IF (SUM(tarjetas)  IS NULL, 0.00, SUM(tarjetas))  AS tarjetas_pag
	  FROM pagos_clientes WHERE  
	  cdgcaj = '$codusu' AND
	  fecrec >= '$fecinicio' AND  fecrec <=  '$fecfin' 
	  AND tipmov = 'RP' AND estrec = '$estrec'  ";

	$resultado_med_pago_rec = $mysqli->query($medio_pago_rec);
	$row_med_pago_rec = $resultado_med_pago_rec->fetch_array();
 

	$simpes_pag = $row_med_pago_rec["simpes_pag"];
	$depositos_pag = $row_med_pago_rec["depositos_pag"];
	$tarjetas_pag = $row_med_pago_rec["tarjetas_pag"]; 
	
	
	$simpes   = $simpes_pag   + $simpes_fac;
	$depositos = $depositos_pag + $depositos_fac;
	$tarjetas  = $tarjetas_pag  + $tarjetas_fac;
	
/************************************************/
}




?>



<html>
	<head>
		<title>Cierre Caja</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">	
        
    
 		 <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>
		<script>
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
			function aceptar() {
			parent.location.href="index.php";
		}
		
		 function imprimir(fechainicio,minimo,maximo,neto,iva,total,contado,tarjeta) {
			location.href="../fpdf/cerrarcaja_html.php?fechainicio="+fechainicio+"&minimo="+minimo+"&maximo="+maximo+"&neto="+neto+"&iva="+iva+"&total="+total+"&contado="+contado+"&tarjeta="+tarjeta;	
		 }
		 
		 
		 
function calculo(cantidad,precio,inputtext){
	
	subtotal = precio/cantidad;
	inputtext.value=subtotal;
	
}
function calcular(){

				var cincuentamil=document.getElementById("cincuentamil").value;
				var veintemil=document.getElementById("veintemil").value;
				var diezmil=document.getElementById("diezmil").value;
				var cincomil=document.getElementById("cincomil").value;
			    var dosmil=document.getElementById("dosmil").value;
			    var mil=document.getElementById("mil").value;
				var quinientos=document.getElementById("quinientos").value;
				var cien=document.getElementById("cien").value;
				var cincuenta=document.getElementById("cincuenta").value;
				var veinticinco=document.getElementById("veinticinco").value;
				var diez=document.getElementById("diez").value;
				var cinco=document.getElementById("cinco").value;
				
var tipmoneda=document.getElementById("tipmoneda").value;
			
		if (tipmoneda=="CRC") {   // sin son colones 

				
				var ck=parseInt(document.getElementById("ck").value);
				var voucher= parseInt(document.getElementById("voucher").value);
				var dolares= parseInt(document.getElementById("dolares").value);
				var monval= parseInt(document.getElementById("monval").value);
				var monotr= parseInt(document.getElementById("monotr").value);
				var candol= document.getElementById("candol").value;
				var tipcamdol= document.getElementById("tipcamdol").value;
				var monapecaj= document.getElementById("monapecaj").value;
			
		} else {
				
				var ck=parseFloat(document.getElementById("ck").value);
				var voucher= parseFloat(document.getElementById("voucher").value);
				var dolares= parseFloat(document.getElementById("dolares").value);
				var monval= parseFloat(document.getElementById("monval").value);
				var monotr= parseFloat(document.getElementById("monotr").value);
				var candol= document.getElementById("candol").value;
				var tipcamdol= document.getElementById("tipcamdol").value;
				var monapecaj= document.getElementById("monapecaj").value;
		
		
		}		
				mensaje="";
						if (isNaN(cincuentamil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("cincuentamil2").value="0.00";
								document.getElementById("cincuentamil").value="0";
								document.getElementById("cincuentamil").select();
								}
				
				if (isNaN(veintemil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("veintemil2").value="0.00";
								document.getElementById("veintemil").value="0";
								document.getElementById("veintemil").select();
								}
								
				if (isNaN(diezmil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("diezmil2").value="0.00";
								document.getElementById("diezmil").value="0";
								document.getElementById("diezmil").select();
								}
				if (isNaN(cincomil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("cincomil2").value="0.00";
								document.getElementById("cincomil").value="0";
								document.getElementById("cincomil").select();
								}
				
				
				if (isNaN(dosmil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("dosmil2").value="0.00";
								document.getElementById("dosmil").value="0";
								document.getElementById("dosmil").select();
								}
								
								
				if (isNaN(mil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("mil2").value="0.00";
								document.getElementById("mil").value="0";
								document.getElementById("mil").select();
								}
								
				if (isNaN(quinientos)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("quinientos2").value="0.00";
								document.getElementById("quinientos").value="0";
								document.getElementById("quinientos").select();
								}
								
				if (isNaN(cien)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("cien2").value="0.00";
								document.getElementById("cien").value="0";
								document.getElementById("cien").select();
								}
								
				if (isNaN(mil)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("mil2").value="0.00";
								document.getElementById("mil").value="0";
								document.getElementById("mil").select();
								}
								
				if (isNaN(cincuenta)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("cincuenta2").value="0.00";
								document.getElementById("cincuenta").value="0";
								document.getElementById("cincuenta").select();
								}
								
				if (isNaN(veinticinco)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("veinticinco2").value="0.00";
								document.getElementById("veinticinco").value="0";
								document.getElementById("veinticinco").select();
								}
								
				if (isNaN(diez)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("diez2").value="0.00";
								document.getElementById("diez").value="0";
								document.getElementById("diez").select();
								}
								
								
				if (isNaN(cinco)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("cinco2").value="0.00";
								document.getElementById("cinco").value="0";
								document.getElementById("cinco").select();
								}
								
				if (isNaN(ck)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("ck").value="0.00";
								document.getElementById("ck").select();
								}
								
				if (isNaN(voucher)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("voucher").value="0.00";
								document.getElementById("voucher").select();
								}
								
				if (isNaN(dolares)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("dolares").value="0.00";
								document.getElementById("dolares").select();
								}
								
				if (isNaN(monval)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("monval").value="0.00";
								document.getElementById("monval").select();
								}	
								
				if (isNaN(monotr)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("monotr").value="0.00";
								document.getElementById("monotr").select();
								}	
								
								
				if (isNaN(candol)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								document.getElementById("candol").value="0.00";
								document.getElementById("candol").select();
								}
								
				if (isNaN(monapecaj)==true) {
								mensaje+="  - El monto de Apertura de Caja debe ser numerica\n";
								document.getElementById("monapecaj").value="0.00";
								document.getElementById("monapecaj").select();
								}				
												
					if (mensaje!="") {
					alert("Atencion:\n\n"+mensaje);
			
				} else {
				
				
		var tipmoneda=document.getElementById("tipmoneda").value;
			
		if (tipmoneda=="CRC") {   // sin son colones 
				
				var cincuentamil2= ( parseInt(cincuentamil) * 50000 );
				var veintemil2= ( parseInt(veintemil) * 20000 );
				var diezmil2= ( parseInt(diezmil) * 10000 );
				var cincomil2= ( parseInt(cincomil) * 5000 );
				var dosmil2= ( parseInt(dosmil) * 2000 );
		        var mil2= ( parseInt(mil) * 1000 );
				var quinientos2= ( parseInt(quinientos) * 500 );
				var cien2= ( parseInt(cien) * 100 );
				var cincuenta2= ( parseInt(cincuenta) * 50 );
				var veinticinco2= ( parseInt(veinticinco) * 25 );
				var diez2= ( parseInt(diez) * 10 );
				var cinco2= ( parseInt(cinco) * 5 );
				var dolares2= ( parseInt(candol) * tipcamdol );
				
		    }else{
		
				var cincuentamil2= ( parseInt(cincuentamil) * 100 );
				var veintemil2= ( parseInt(veintemil) * 50 );
				var diezmil2= ( parseInt(diezmil) * 20 );
				var cincomil2= ( parseInt(cincomil) * 10 );
				var dosmil2= ( parseInt(dosmil) * 5 );
		        var mil2= ( parseInt(mil) * 1 );
				var quinientos2= ( parseInt(quinientos) * 0.5 );
				var cien2= ( parseInt(cien) * 0.25 );
				var cincuenta2= ( parseInt(cincuenta) * 0.10 );
				var veinticinco2= ( parseInt(veinticinco) * 0.05 );
				var diez2= ( parseInt(diez) * 0.01 );
				var cinco2= ( parseInt(cinco) * 0 );
				var dolares= ( parseInt(candol) / tipcamdol );	
				var dolares2 = parseFloat( dolares ).toFixed(2); 	
			}	
				

		    	document.getElementById("cincuentamil2").value=cincuentamil2;
				document.getElementById("veintemil2").value=veintemil2;
				document.getElementById("diezmil2").value=diezmil2;
				document.getElementById("cincomil2").value=cincomil2;
				document.getElementById("dosmil2").value=dosmil2;
				document.getElementById("mil2").value=mil2;
				document.getElementById("quinientos2").value=quinientos2;
				document.getElementById("cien2").value=cien2;
				document.getElementById("cincuenta2").value=cincuenta2;
				document.getElementById("veinticinco2").value=veinticinco2;
				document.getElementById("diez2").value=diez2;
				document.getElementById("cinco2").value=cinco2;
				document.getElementById("dolares").value=dolares2;

					
				var efectivo = cincuentamil2 +  veintemil2 + diezmil2 + cincomil2 + dosmil2 + mil2 
				+ quinientos2 + cien2 + cincuenta2 + veinticinco2 + diez2 + cinco2 + ck + voucher + dolares + monval + monotr ;
				
				var menudo = cincuentamil2 +  veintemil2 + diezmil2 + cincomil2 + dosmil2 + mil2 
				+ quinientos2 + cien2 + cincuenta2 + veinticinco2 + diez2 + cinco2  ;	
				


			if (tipmoneda=="CRC") {   // sin son colones 
			
		
				
				var sistema=parseInt(document.getElementById("sistema").value);
				var diferencia = parseInt( efectivo - sistema - monapecaj );
				
			 }else{  // si el ciere es en dolares
			 
			 				

				  
				var efectivo = parseFloat( efectivo ).toFixed(2); 
				var menudo   = parseFloat( menudo ).toFixed(2); 
				
				var sistema=parseFloat(document.getElementById("sistema").value);
				var diferencia = parseFloat( efectivo - sistema - monapecaj ).toFixed(2);
			
			}
				
				document.getElementById("efectivo").value=efectivo;
				document.getElementById("menudo").value=menudo;
				document.getElementById("diferencia").value=diferencia;
				
				
				
			}
		}
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
 
	function cancelar() {
			parent.location.href="index.php";
		}
		
		
		function validar_cabecera()
			{
			
		  	if (confirm(" Desea guardar el cierre de caja ? "))
			
				var mensaje="";
			//	if (document.getElementById("sistema").value=="") mensaje+="  - Falta  Monto del Sistema\n";
				if (document.getElementById("efectivo").value=="") mensaje+="  -Falta Monto Digitado\n";
			//	if (document.getElementById("sistema").value=="0") mensaje+="  -El Monto del Sistema  no pueder ser 0\n";
				if (document.getElementById("efectivo").value=="0") mensaje+="  - El Monto Digitado no pueder ser 0\n";
			//	if (document.getElementById("sistema").value=="0.00") mensaje+="  -El Monto del Sistema  no pueder ser 0\n";
				if (document.getElementById("efectivo").value=="0.00") mensaje+="  - El Monto Digitado no pueder ser 0\n";
				if (document.getElementById("efectivo").value <= "0") mensaje+="  - El Monto Digitado no pueder ser menor a  0\n";
				
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
				} else {
				   dolares.disabled=false;
				   
					document.getElementById("formulario").submit();
				}
			}
 
 
	  $(function() {
    $('#currency').maskMoney();
   //$("#monabo").maskMoney({thousands:',', decimal:'.', allowZero:true, prefix: '€ '});
//$("#cincuentamil2").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#veintemil2").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#diezmil2").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#totalpago").maskMoney({thousands:',', decimal:'.',precision:2});

	  })	
	
	

		</script>
	</head>
		<body onLoad="calcular()">	

			
		<div align="center">
				<blockquote>
				  <form id="formulario" name="formulario" method="post" action="guardar_cierre.php" target="frame_rejilla">
				    <table border=0 cellpadding=3 cellspacing=0 class="fuente8"	>
				      <tr>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td colspan="4" align="right">Tarjetas</td>
				        <td colspan="2" align="right"><?php echo number_format($tarjetas,2,".",",")?></td>
				        <td align="center">Depositos</td>
				        <td colspan="2" align="right"><?php echo number_format($depositos,2,".",",")?></td>
				        <td>Sinpes</td>
				        <td align="right"><?php echo number_format($simpes,2,".",",")?></td>
				        <td>&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td colspan="2">&nbsp;</td>
				        <td>&nbsp;</td>
				        <td align="center" bgcolor="#CCCCCC">Billetes</td>
				        <td bgcolor="#CCCCCC">&nbsp;</td>
				        <td align="center" bgcolor="#CCCCCC">&nbsp;</td>
				        <td align="center" bgcolor="#CCCCCC">Monedas</td>
				        <td align="center" bgcolor="#CCCCCC">&nbsp;</td>
				        <td bgcolor="#CCCCCC">&nbsp;</td>
				        <td bgcolor="#CCCCCC">Otros</td>
				        <td bgcolor="#CCCCCC">&nbsp;</td>
				        <td>&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td colspan="3">&nbsp;</td>
				           <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 50,000.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 100.00</td>  <?php 	} ?>
				        <td><input size="1%"  name="cincuentamil" id="cincuentamil"  style='text-align:center;'  class="cajaGrande" onFocus="siguienteCampo = 'veintemil';"   value="<?php echo $cincuentamil?>" type="text" onChange="calcular()" ></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="cincuentamil2"    id="cincuentamil2" value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'veintemil';"  readonly=""  type="text"  ></td>
				        <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 500.00</td>  
				        <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 0.50</td>  <?php 	} ?>
				        <td><input size="1%"  class="cajaGrande" name="quinientos" id="quinientos"   value="<?php echo $quinientos?>" style='text-align:center;'   onFocus="siguienteCampo = 'cien';"  onChange="calcular()" ></td>
				        <td><input size="5%" class="cajaGrande" name="quinientos2" id="quinientos2"   value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'cien';"  onChange="calcular()"  readonly=""></td>
				         <?php  if ($tipmoneda == "CRC") { ?> <td bgcolor="#CCCCCC">Dolares</td> <?php  }else{ ?> <td bgcolor="#CCCCCC">Colones</td>  <?php 	} ?>
				        <td><input size="1%" class="cajaGrande" name="candol" id="candol"  value="<?php echo $candol ?>"style='text-align:center;'    onFocus="siguienteCampo = 'ck';"  onChange="calcular()" ></td>
				        <td>&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2">Facturas contado </td>
				        <td align="right"><?php if ($tipo_usu=="a"){ echo number_format($total_Facturas,2,".",","); }?></td>
				        <td>&nbsp;</td>
				           <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 20,000.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 50.00</td>  <?php 	} ?>
				        <td><input size="1%" class="cajaGrande"  name="veintemil" id="veintemil"  value="<?php echo $veintemil?>" style='text-align:center;'    type="text" onFocus="siguienteCampo = 'diezmil';"  onChange="calcular()" ></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="veintemil2" id="veintemil2"  value="0.00" style='text-align:right;'  type="text" readonly onFocus="siguienteCampo = 'diezmil';"  onChange="calcular()" ></td>
				        <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 100.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 0.25</td>  <?php 	} ?>
				        <td><input size="1%" class="cajaGrande" name="cien" id="cien" value="<?php echo $cien?>" style='text-align:center;'   onFocus="siguienteCampo = 'cincuenta';"  onChange="calcular()" ></td>
				        <td><input size="5%" class="cajaGrande" name="cien2" id="cien2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'cincuenta';"  readonly="" onChange="calcular()" ></td>
				       	         <?php  if ($tipmoneda == "CRC") { ?> <td bgcolor="#CCCCCC">Colones</td> <?php  }else{ ?> <td bgcolor="#CCCCCC">Dolares</td>  <?php 	} ?>
				        <td><input size="5%" class="cajaGrande" name="dolares" id="dolares"   disabled="disabled" value="<?php echo $mondol ?>"style='text-align:right;'  onFocus="siguienteCampo = 'monval';"   onChange="calcular()" ></td>
				        <td>&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2">Recibos de pago </td>
				        <td align="right"><?php if ($tipo_usu=="a"){ echo number_format($total_Recibos,2,".",",") ; }?></td>
				        <td>&nbsp;</td>
				         <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 10,000.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 20.00</td>  <?php 	} ?>
				        <td><input size="1%" class="cajaGrande" name="diezmil" id="diezmil"   value="<?php echo $diezmil?>" style='text-align:center;'    onFocus="siguienteCampo = 'cincomil';"  onChange="calcular()" ></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="diezmil2" id="diezmil2"  value="0.00" style='text-align:right;' onFocus="siguienteCampo = 'cincomil';"  readonly="" onChange="calcular()" ></td>
				          <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 50.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 0.10</td>  <?php 	} ?>
				        <td><input size="1%" class="cajaGrande" name="cincuenta" id="cincuenta"  value="<?php echo $cincuenta?>" style='text-align:center;'    onFocus="siguienteCampo = 'veinticinco';"  onChange="calcular()" ></td>
				        <td><input size="5%" class="cajaGrande" name="cincuenta2" id="cincuenta2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'veinticinco';"   readonly="" onChange="calcular()" ></td>
				        <td bgcolor="#CCCCCC">Sinpes</td>
				        <td><input size="5%"  class="cajaGrande" name="ck" id="ck" value="<?php echo $monsin?>" style='text-align:right;'  onFocus="siguienteCampo = 'voucher';"  onChange="calcular()" 	></td>
				        <td>&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2">Notas de Credito</td>
				        <td align="right"><?php if ($tipo_usu=="a"){  echo number_format($total_NotasCre,2,".",","); }  ?></td>
				        <td align="right">&nbsp;</td>
				         <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 5,000.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 10.00</td>  <?php 	} ?>
				        <td align="left"><input size="1%" class="cajaGrande"  name="cincomil" id="cincomil"  value="<?php echo $cincomil?>"style='text-align:center;'   onFocus="siguienteCampo = 'dosmil';"  onChange="calcular()" ></td>
				        <td align="right" ><input size="5%"  class="cajaGrande" name="cincomil2" id="cincomil2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'dosmil';"  readonly="" onChange="calcular()" ></td>
				       <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 25.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 0.05</td>  <?php 	} ?>
				        <td align="left"><input size="1%" class="cajaGrande" name="veinticinco" id="veinticinco"   value="<?php echo $veinticinco?>" style='text-align:center;'    onFocus="siguienteCampo = 'diez';"  onChange="calcular()" ></td>
				        <td align="left"><input size="5%" class="cajaGrande" name="veinticinco2" id="veinticinco2"   value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'diez';"  readonly="" onChange="calcular()" ></td>
				        
		                <input name="totfac" id="totfac" value="<?php echo $total_Facturas;?>"   type="hidden" 	>
				        <input name="totrec" id="totrec" value="<?php echo $total_Recibos;?>"   type="hidden" 	>
				        <input name="totnotcre" id="totnotcre" value="<?php echo  $total_NotasCre;?>"   type="hidden" 	>
						<input name="totnotdeb" id="totnotdeb" value="<?php echo  $total_NotasDeb;?>"   type="hidden" 	>
				        <input name="totcre" id="totcre" value="<?php echo  $total_Credito;?>"   type="hidden" 	>
						<input name="totval" id="totval" value="<?php echo  $total_vales;?>"   type="hidden" 	>
						<input name="totcom" id="totcom" value="<?php echo  $total_compras;?>"   type="hidden" 	>
						<input name="totent" id="totent" value="<?php echo  $total_entradas;?>"   type="hidden" 	>
					    <input name="totsal" id="totsal" value="<?php echo  $total_salidas;?>"   type="hidden" 	>
				        <input name="totade" id="totade" value="<?php echo  $total_adelanto;?>"   type="hidden" 	> 
						<input name="totimpser" id="totimpser" value="<?php echo  $total_impser;?>"   type="hidden" 	>
						<input name="tipmoneda" id="tipmoneda" value="<?php echo  $tipmoneda;?>"   type="hidden" 	>
						
						
				        <td align="left" bgcolor="#CCCCCC"><p>Voucher</p></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="voucher" id="voucher"  value="<?php echo $monvou ?>"style='text-align:right;'  onFocus="siguienteCampo = 'monval';"   onChange="calcular()" ></td>
				        <td align="right">&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2">Notas de Debito </td>
				        <td  align="right"><?php if ($tipo_usu=="a"){ echo number_format($total_NotasDeb,2,".",",") ; } ?></td>
				        <td align="right">&nbsp;</td>
				            <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 2,000.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 5.00</td>  <?php 	} ?>
				        <td align="left"><input size="1%" class="cajaGrande" name="dosmil" id="dosmil"   value="<?php echo $dosmil?>" style='text-align:center;'    onFocus="siguienteCampo = 'mil';"  onChange="calcular()" ></td>
				        <td align="right" ><input size="5%" class="cajaGrande"name="dosmil2" id="dosmil2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'mil';" readonly  onChange="calcular()" ></td>
				        	<?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 10.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 0.01</td>  <?php 	} ?>
				        <td align="left"><input size="1%" class="cajaGrande" name="diez" id="diez"   value="<?php echo $diez?>" style='text-align:center;'    onFocus="siguienteCampo = 'cinco';"  onChange="calcular()" ></td>
				        <td align="left"><input size="5%" class="cajaGrande" name="diez2" id="diez2"  value="0.00" style='text-align:right;' onFocus="siguienteCampo = 'cinco';"  readonly="" onChange="calcular()" ></td>
				        <td align="right" bgcolor="#CCCCCC"><div align="left">Depositos</div></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="monval" id="monval"value="<?php echo $monval?>" style='text-align:right;'  onFocus="siguienteCampo = 'monotr';"   onChange="calcular()" ></td>
				        <td align="right">&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2"><strong>Apertura de Caja </strong></td>
				        <td align="right" ><strong>
				          <input size="30" class="cajaGrande" name="monapecaj" id="monapecaj"  value="<?php echo $monapecaj;?>"   style='text-align:right;'   onChange="calcular()"   >
				        </strong></td>
				        <td  align="left">&nbsp;</td>
				         <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 1,000.00</td>  
				         <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC">$ 1</td>  <?php 	} ?>
				        <td  align="left"><input size="1%" class="cajaGrande"  name="mil" id="mil"   value="<?php echo $mil?>" style='text-align:center;'    onFocus="siguienteCampo = 'quinientos';"  onChange="calcular()" ></td>
				        <td  align="right"><input size="5%" class="cajaGrande" name="mil2" id="mil2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'quinientos';"  readonly="" onChange="calcular()" ></td>
				        <?php  if ($tipmoneda == "CRC") { ?> <td align="right" bgcolor="#CCCCCC">&cent; 5.00</td>  <?php  }else{ ?> <td align="right" bgcolor="#CCCCCC"></td>  <?php 	} ?>
				        <td  align="left"><input size="1%" class="cajaGrande" name="cinco" id="cinco"  value="<?php echo $cinco?>"style='text-align:center;'    onFocus="siguienteCampo = 'candol';"  onChange="calcular()" ></td>
				        <td  align="left"><input size="5%" class="cajaGrande" name="cinco2" id="cinco2"  value="0.00" style='text-align:right;'  onFocus="siguienteCampo = 'ck';"   readonly="" onChange="calcular()" ></td>
				        <td align="right" bgcolor="#CCCCCC"><div align="left">Otros</div></td>
				        <td align="right"><input size="5%" class="cajaGrande" name="monotr" id="monotr"value="<?php echo $monotr?>" style='text-align:right;'  onFocus="siguienteCampo = 'cincuentamil';"   onChange="calcular()" ></td>
				        <td align="right">&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2"><strong>Total Sistema </strong></td>
				        <td align="right" ><strong>
				          <input size="30" class="cajaGrande" name="sistema" id="sistema"  value="<?php if ($tipo_usu=="a"){  echo $total;  } ?>"  style='text-align:right;'   readonly=""  >
				        </strong></td>
				        <td  align="left">&nbsp;</td>
				        <td colspan="2"  align="left"><strong>Rec. Adelanto </strong></td>
				        <td  align="left"><?php echo number_format($total_adelanto,2,".",",")?></td>
						<td colspan="2"  align="right"><div align="left"><strong>Imp. Servicio </strong></div></td>
				       <td  align="right"><?php echo number_format($total_impser,2,".",",")?></td>
				        <td colspan="3" rowspan="3"  align="right"><div id="div">
				          <div align="center"> <img src="../img/Symbol-Check_48x48-32.png" alt="d" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick="           validar_cabecera(); " onMouseOver="style.cursor=cursor"  disabled="disabled" value="Deshabilitado"> <img src="../img/Symbol-Delete_48x48-32.png" alt="g" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor"></div>
			            </div></td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2"><strong>Total Digitado</strong></td>
				        <td align="right" ><input size="20"  name="efectivo" id="efectivo"class="cajaGrande"   value="0.00" style='text-align:right;'  readonly=""  ></td>
				        <td  align="left">&nbsp;</td>
				        <td colspan="2"  align="left"><strong>Ent. Dinero </strong></td>
				        <td  align="left"><?php echo number_format($total_entradas,2,".",",")?></td>
				        <td colspan="2"  align="right"><div align="left"><strong>Vales </strong></div></td>
				        <td  align="right"><?php echo number_format($total_vales,2,".",",")?></td>
				      </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td colspan="2"><strong>Diferencia</strong></td>
				        <td align="right" ><strong>
				           <?php if ($tipo_usu=="a"){?>    <input size="30"  name="diferencia" id="diferencia" class="cajaGrande"  value="0.00" style='text-align:right;' readonly  > 	<?php } ?>
				        </strong></td>
				        <td  align="left">&nbsp;</td>
				        <td colspan="2"  align="left"><strong>Sal. Dinero </strong></td>
				        <td  align="left"><?php echo number_format($total_salidas,2,".",",")?></td>
				        <td colspan="2"  align="right"><div align="left"><strong>Compras</strong></div></td>
				        <td  align="right"><?php echo number_format($total_compras,2,".",",")?></td>
				        <input size="30"  name="menudo" id="menudo" class="cajaGrande" value=""  type="hidden" readonly  >
				        <input size="30"  name="cdgcaj" id="cdgcaj" class="cajaGrande" value="<?php echo $codusu;?>"  type="hidden" readonly  >
				        <input size="30"  name="fechainicio" id="fechainicio" class="cajaGrande" value="<?php echo $fecinicio;?>"  type="hidden" readonly  >
						<input size="30"  name="fechafin" id="fechafin" class="cajaGrande" value="<?php echo $fecfin;?>"  type="hidden" readonly  >
						
						<input type="hidden" id="horcie" name="horcie" value="<?php echo $horcie ?>">
				        <input type="hidden" id="horape" name="horape" value="<?php echo $horape ?>">
						   <input size="30"  name="tipcamdol" id="tipcamdol" class="cajaGrande" value="<?php echo $tipcamdol;?>"  type="hidden" readonly  >
				        <input id="accion" name="accion" value="modificar" type="hidden">
                        <input id="numcie" name="numcie" value="<?php echo $numcie;?>" type="hidden">
			          </tr>
			        </table>
			      </form>
		  </blockquote>
		</div>
		</body>
</html>